'use strict';

require('./test-helper');

const expect    = require('chai').expect;
const miniprism = require('../src/miniprism');

describe('horizontal rules', function() {
  ['*', '-', '_'].forEach(function(ch) {
    it('parses horizontal rules with "' + ch + '"', function() {
      var source = ch + ch + ch;
      var actual = miniprism.highlight(source, 'markdown');
      expect(actual).to.eql(
        '<div class="md-hr md-line">' + ch + ch + ch + '</div>'
      );
    });
  });
});
