'use strict';

const helper    = require('./test-helper');
const expect    = require('chai').expect;
const miniprism = require('../src/miniprism');
const e         = helper.e;

describe('blockquotes', function() {
  it('parses blockquotes', function() {
    const source = '> Item';
    const actual = miniprism.highlight(source, 'markdown');

    expect(actual).to.eql(e([
      `.md-blockquote.md-line>`,
        `span.md-blockquote-marker{&gt; }+`,
        `{Item}`
    ].join('')));
  });
});
